﻿// Atac Template Engine
// Copyright (C) 2011 Markus Jahn <markus.jahn@gmx.at>
//
// This file is part of Atac Template Engine.
//
// Atac Template Engine is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Atac Template Engine is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Atac Template Engine.  If not, see <http://www.gnu.org/licenses/>.

using System.Collections.Generic;

namespace Atac.TemplateEngine.Tests.MemberNodes {
  public class MethodDecl {
    public MethodId MethodId;
    public IStatement Statement;
  }
  public class MethodId {
    public string Name { get; set; }
    public Type ReturnType { get; set; }
    public List<ParDecl> ParDecls { get; set;}
  }
  public class ParDecl {
    public string Name { get; set; }
    public Type Type { get; set; }
    public ParamKind Kind { get; set; }
    public object DefaultValue { get; set; }
  }
  public enum ParamKind {
    In, Out, Ref
  }
}
